##// END OF EJS Templates
Merge branch 'ref+fix' of https://github.com/burnbabyburn/rpi23-gen-image into ref+fix
burnbabyburn -
r316:2b270da25eca Fusion
parent child
Show More
@@ -16,18 +16,22 if [ "$BUILD_KERNEL" = false ] ; then
16 echo "Downloading precompiled kernel"
16 echo "Downloading precompiled kernel"
17 echo "error: not configured"
17 echo "error: not configured"
18 exit 1;
18 exit 1;
19 else # BUILD_KERNEL=true
19 # BUILD_KERNEL=true
20 #autconfigure best apt server to not spam ftp.debian.org
20 else
21 #rm files/apt/sources.list
21 echo "No precompiled kernel repositories were added"
22 #netselect-apt does not know buster yet
22 fi
23 if [ "$RELEASE" = "buster" ] ; then
23
24 RELEASE=${RELEASE:=testing}
24 #autconfigure best apt server to not spam ftp.debian.org
25 fi
25 #rm files/apt/sources.list
26 netselect_string=${netselect_string:=""}
26 #netselect-apt does not know buster yet
27 if [ "$ENABLE_NONFREE" = true ] ; then
27 if [ "$RELEASE" = "buster" ] ; then
28 netselect-apt --arch "$RELEASE_ARCH" --sources "$netselect_string" --outfile "${ETC_DIR}/apt/sources.list" -d "$RLS"
28 RELEASE=${RELEASE:=testing}
29 fi
29 fi
30 netselect-apt --arch "$RELEASE_ARCH" --sources "$netselect_string" --outfile "${ETC_DIR}/apt/sources.list" -d "$RLS"
30
31 if [ "$ENABLE_NONFREE" = true ] ; then
32 netselect-apt --arch "$RELEASE_ARCH" --sources --nonfree --outfile "${ETC_DIR}/apt/sources.list" -d "$RELEASE"
33 else
34 netselect-apt --arch "$RELEASE_ARCH" --sources --outfile "${ETC_DIR}/apt/sources.list" -d "$RELEASE"
31 fi
35 fi
32
36
33 # Upgrade package index and update all installed packages and changed dependencies
37 # Upgrade package index and update all installed packages and changed dependencies
@@ -46,4 +50,4 if [ -d packages ] ; then
46 fi
50 fi
47 chroot_exec apt-get -qq -y -f install
51 chroot_exec apt-get -qq -y -f install
48
52
49 chroot_exec apt-get -qq -y check
53 chroot_exec apt-get -qq -y check No newline at end of file
@@ -10,13 +10,12 if [ "$ENABLE_IPTABLES" = true ] ; then
10 # Create iptables configuration directory
10 # Create iptables configuration directory
11 mkdir -p "${ETC_DIR}/iptables"
11 mkdir -p "${ETC_DIR}/iptables"
12
12
13 #In Jessie iptables is old enough
14 if ! [ "$RELEASE" = jessie ] ; then
15 # make sure iptables-legacy,iptables-legacy-restore and iptables-legacy-save are the used alternatives
13 # make sure iptables-legacy,iptables-legacy-restore and iptables-legacy-save are the used alternatives
16 chroot_exec update-alternatives --verbose --set iptables /usr/sbin/iptables-legacy
14 chroot_exec update-alternatives --verbose --set iptables /usr/sbin/iptables-legacy
17 #chroot_exec update-alternatives --verbose --set iptables-save /usr/sbin/iptables-legacy-save
15 #chroot_exec update-alternatives --verbose --set iptables-save /usr/sbin/iptables-legacy-save
18 #chroot_exec update-alternatives --verbose --set iptables-restore /usr/sbin/iptables-legacy-restore
16 #chroot_exec update-alternatives --verbose --set iptables-restore /usr/sbin/iptables-legacy-restore
19 fi
17 chroot_exec update-alternatives --verbose --install /usr/sbin/iptables-save iptables-save /usr/sbin/iptables-legacy-save 1
18 chroot_exec update-alternatives --verbose --install /usr/sbin/iptables-restore iptables-restore /usr/sbin/iptables-legacy-restore 1
20
19
21 # Install iptables systemd service
20 # Install iptables systemd service
22 install_readonly files/iptables/iptables.service "${ETC_DIR}/systemd/system/iptables.service"
21 install_readonly files/iptables/iptables.service "${ETC_DIR}/systemd/system/iptables.service"
@@ -188,7 +188,7 CHROOT_SCRIPTS=${CHROOT_SCRIPTS:=""}
188
188
189 # Packages required in the chroot build environment
189 # Packages required in the chroot build environment
190 APT_INCLUDES=${APT_INCLUDES:=""}
190 APT_INCLUDES=${APT_INCLUDES:=""}
191 APT_INCLUDES="${APT_INCLUDES},apt-transport-https,apt-utils,ca-certificates,debian-archive-keyring,dialog,sudo,systemd,sysvinit-utils"
191 APT_INCLUDES="${APT_INCLUDES},apt-transport-https,apt-utils,ca-certificates,debian-archive-keyring,dialog,sudo,systemd,sysvinit-utils,locales,keyboard-configuration,console-setup"
192
192
193 # Packages required for bootstrapping
193 # Packages required for bootstrapping
194 REQUIRED_PACKAGES="debootstrap debian-archive-keyring qemu-user-static binfmt-support dosfstools rsync bmap-tools whois git bc psmisc dbus sudo"
194 REQUIRED_PACKAGES="debootstrap debian-archive-keyring qemu-user-static binfmt-support dosfstools rsync bmap-tools whois git bc psmisc dbus sudo"
@@ -452,11 +452,6 if [ "$ENABLE_MINBASE" = true ] ; then
452 APT_INCLUDES="${APT_INCLUDES},vim-tiny,netbase,net-tools,ifupdown"
452 APT_INCLUDES="${APT_INCLUDES},vim-tiny,netbase,net-tools,ifupdown"
453 fi
453 fi
454
454
455 # Add required locales packages
456 if [ "$DEFLOCAL" != "en_US.UTF-8" ] || { [ -n "$XKB_MODEL" ] || [ -n "$XKB_LAYOUT" ] || [ -n "$XKB_VARIANT" ] || [ -n "$XKB_OPTIONS" ] ; } ; then
457 APT_INCLUDES="${APT_INCLUDES},locales,keyboard-configuration,console-setup"
458 fi
459
460 # Add parted package, required to get partprobe utility
455 # Add parted package, required to get partprobe utility
461 if [ "$EXPANDROOT" = true ] ; then
456 if [ "$EXPANDROOT" = true ] ; then
462 APT_INCLUDES="${APT_INCLUDES},parted"
457 APT_INCLUDES="${APT_INCLUDES},parted"
General Comments 0
Vous devez vous connecter pour laisser un commentaire. Se connecter maintenant